@import "variables";
@import "mixins/mixins";

.user-profile-box {
  margin: 0 auto;
  max-width: 640px;
  width: 100%;
  background: var(--white);
  border-radius: 8px;
  padding: 16px;

  &__title {
    font-weight: bold;
    color:  var(--primary-color);
    font-size: calculateRem(16px);
  }

  &__actions {
    border-top: 1px solid #ddd;
    padding: 16px 0px 0px 0px;
    display: flex;
    flex-direction: row-reverse;
  }
  .sb-add-user-btn{
    background: #BFE1CF;
    color: #008840;
  }
}

/* members css */
.members-list {
  width: 100%;
  background-color: var(--white);
  // box-shadow: 0 calculateRem(2px) calculateRem(7px) 0 rgba(0, 0, 0, 0.25);

  .members-list__item {
    display: flex;
    align-items: center;
    padding: calculateRem(8px);
    border: calculateRem(1px) solid rgba(151, 151, 151, 0.5);
    position: relative;
    border-top: calculateRem(0.5px) solid #979797;
    border-bottom: calculateRem(1px) solid transparent;
    position: relative;
    &:first-child {
      border-top: calculateRem(1px) solid rgba(151, 151, 151, 0.5);
    }
    &:last-child {
      border-bottom: calculateRem(1px) solid rgba(151, 151, 151, 0.5);
    }
    .icon{font-size: 1.4em;}
    .icon_active {
      visibility: hidden;
      position: absolute;
      top: 50%;
      right: 8px;
      width: 16px;
      transform: translateY(-50%);
      display: flex;
      align-items: center;
      justify-content: center;
      color: var(--primary-color);
    }
    &:hover, &--active {
      background: var(--primary-0);
      border: 1px solid var(--primary-200) !important;
      .member-name {
        color: var(--primary-color);
      }
      .icon_active {
        visibility: visible;
      }
    }
    .oval {
      height: calculateRem(36px);
      width: calculateRem(36px);
      justify-content: center;
      align-items: center;
      display: inline-flex;
      border-radius: 50%;
      border: calculateRem(6px) solid var(--white);
      background-color: var(--white);
      box-shadow: 0 0 calculateRem(6px) 0 rgba(0, 0, 0, 0.1);
    }
    .member-name {
      color: $gray-800;
      font-size: 16px;
      letter-spacing: 0;
      line-height: calculateRem(20px);
      flex: 1;
      padding: 0 calculateRem(16px);

      span {
        // display: flex;
        // width: 90%;
      }
    }
    .status {
      border: calculateRem(0.5px) solid var(--secondary-100);
      border-radius: 2px;
      font-size: 10px;
      color: var(--secondary-100);
      background-color: var(--white);
      padding: calculateRem(4px) calculateRem(8px);
      margin: 0 calculateRem(8px)
    }
    .menu {
      color: var(--gray-200);
      width: calculateRem(30px);
      height: calculateRem(30px);
      font-size: calculateRem(24px);
      text-align: center;
      line-height: calculateRem(30px);
      border-radius: 50%;
      padding-left: calculateRem(6px);

      &:hover {
        background: var(--gray-0);
        cursor: pointer;
      }

      position: relative;
      display: inline-block;
    }
    .dropdown-content {
      position: absolute;
      border-radius: calculateRem(2px);
      background-color: var(--white);
      box-shadow: 0 calculateRem(3px) calculateRem(5px) calculateRem(4px) rgba(0, 0, 0, 0.05);
      padding: calculateRem(16px);
      z-index: 1;
      text-align: left;
      right: calculateRem(10px);
      top: calculateRem(10px);

      .list {
        display: flex;
        align-items: center;
        cursor: pointer;

        &:first-child {
          margin-bottom: calculateRem(8px);

          &:hover {
            span {
              color: var(--primary-color);
            }
          }
        }

        &:hover {
          span {
            color: var(--red-400);
          }
        }

        span {
          font-size: calculateRem(14px);
          padding-left: calculateRem(8px);
        }
      }
    }
    .menu:hover .dropdown-content {
      display: block;
    }
    .menu::after {
      content: '\2807';
      font-size: calculateRem(24px);
    }
  }
}


.sb-profile-page {
  &__avatar {
    width: calculateRem(92px);
    height: calculateRem(92px);
    margin: 0 auto;
  }

  &__location-label {
    color: var(--gray-200);
  }

  &__right-aligned-button {
    margin-top: calculateRem(16px);

    @include respond-above(sm) {
      position: absolute;
      margin-top: 0;
      right: 12%;
      bottom: calculateRem(8px);
    }
  }

  &__profile-bg {
    background: #E0EFFF;
  }

  &__profile-bg-2 {
    background: var(--primary-color);
    color:var(--white);
  }

  .title{
    font-size: 20px;
  }

  &__category {
    flex-direction: column;
    margin-top: calculateRem(16px);

    @include respond-above(sm) {
      flex-direction: row;
      margin-top: calculateRem(0px);
    }
  }

  // .max-w-400{
  //     max-width: calculateRem(480px);
  // }
}

:host {
  .fields-selection {
    display: flex;

    //   @include respond-above(sm) {
    //     flex-direction: row;
    //   }

    .sb-field .ui.selection.active.dropdown {
      border-color: #96c8da;
    }

    .sb-field .ui.selection.active.dropdown .text {
      color: #0076FE !important;
    }

    .sb-field {
      margin-bottom: calculateRem(16px) 0px;
      width: 100%;

      @include respond-below(sm) {}

      label {
        font-size: 14px;
      }
    }

  }

}

.field-focus {
  display: flex;
  flex-direction: column-reverse;
  align-items: flex-start;
}

.user-label {
  font-weight: bold;
  color: var(--primary-color);
  font-size: calculateRem(18px);
}

.sb-profile-btn {
  border-radius: 40px;
}

// go to profile modal scss 
.sunbird-label{
  color:var(--primary-color);
}
.add-member-content{
  width: 100%;
  height:100%;
  .add-member-text{
    max-height: 132px;
  }
}

.oval{
  height: calculateRem(36px);
  width: calculateRem(36px);
  justify-content: center;
  align-items: center;
  display: inline-flex;
  border-radius: 50%;
  border: calculateRem(6px) solid var(--white);
  background-color: var(--white);
  box-shadow: 0 0 calculateRem(6px) 0 rgba(0, 0, 0, 0.1);
}

.self-users-content{
  max-width: calculateRem(450px);
}